Bug 223053 - databases/py-MySQLdb doesn't compile with MariaDB 10.2.x ('my_config.h' file not found)
Summary: databases/py-MySQLdb doesn't compile with MariaDB 10.2.x ('my_config.h' file ...
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Bernard Spil
URL:
Keywords:
Depends on: 222825
Blocks:
  Show dependency treegraph
 
Reported: 2017-10-16 20:52 UTC by rainer
Modified: 2017-10-17 07:03 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (brnrd)


Attachments
poudriere build log file of php 7.1 (14.10 KB, text/plain)
2017-10-16 20:52 UTC, rainer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description rainer 2017-10-16 20:52:51 UTC
Created attachment 187221 [details]
poudriere build log file of php 7.1

Hi,

this has been going on for some time - maybe it's my options?
11.1-AMD64, ports as of 2017Q4.


I've attached the log file from my poudriere server.

I see that there is another (closed) PR and that it should work.

I have a bunch of other things that fail to compile with MariaDB 10.2.x but py-MySQLdb is what bothers me the most.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-10-17 02:39:21 UTC
The root cause of this is bug 223053, a fix for which has been committed to head ("latest" package branch).
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2017-10-17 02:40:53 UTC
Apologies, comment 1 should say "the root cause is bug 222825"
Comment 3 rainer 2017-10-17 07:03:00 UTC
Ah, OK.
Thanks.

I actually don't plan on using it before 2018Q1 - but it would be nice to know what else comes up.

This module is needed to enable the mysql-modules of ansible.